# Method: monetization.onetimeproducts.purchaseOptions.batchDelete

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#body.aspect)
- [DeletePurchaseOptionRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#DeletePurchaseOptionRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#DeletePurchaseOptionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#try-it)

Deletes purchase options across one or multiple one-time products.

By default this operation will fail if there are any existing offers under the deleted purchase options. Use the force parameter to override the default behavior.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts/{productId}/purchaseOptions:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the purchase options to delete. |
| `productId` | `string` Required. The product ID of the parent one-time product, if all purchase options to delete belong to the same one-time product. If this batch delete spans multiple one-time products, set this field to "-". |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#DeletePurchaseOptionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts.purchaseOptions/batchDelete#DeletePurchaseOptionRequest`)`` Required. A list of delete requests of up to 100 elements. All requests must delete purchase options from different one-time products. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## DeletePurchaseOptionRequest

Request message for deleting a purchase option.

| JSON representation |
|---|
| ``` { "packageName": string, "productId": string, "purchaseOptionId": string, "latencyTolerance": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`), "force": boolean } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) of the purchase option to delete. |
| `productId` | `string` Required. The parent one-time product (ID) of the purchase option to delete. |
| `purchaseOptionId` | `string` Required. The purchase option ID of the purchase option to delete. |
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |
| `force` | `boolean` Optional. This field has no effect for purchase options with no offers under them. For purchase options with associated offers: \* If `force` is set to false (default), an error will be returned. \* If `force` is set to true, any associated offers under the purchase option will be deleted. |